Skip to main content
GET
/
sources
/
{source_id}
Get Source
curl --request GET \
  --url https://api.streamkap.com/sources/{source_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.streamkap.com/sources/{source_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.streamkap.com/sources/{source_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "result": [
    {
      "name": "<string>",
      "connector": "<string>",
      "id": "<string>",
      "connector_display_name": "<string>",
      "created_timestamp": "<string>",
      "sub_id": "<string>",
      "tenant_id": "<string>",
      "service_id": "<string>",
      "config": {
        "database.hostname.user.defined": "<string>",
        "database.port.user.defined": "5432",
        "database.user": "<string>",
        "database.password": "<string>",
        "database.dbname": "<string>",
        "signal.data.collection.schema.or.database": "<string>",
        "slot.name": "streamkap_pgoutput_slot",
        "publication.name": "streamkap_pub",
        "schema.include.list": "<string>",
        "table.include.list.user.defined": "<string>",
        "ssh.host": "<string>",
        "ssh.port": "22",
        "ssh.user": "streamkap",
        "ssh.public.key.user.displayed": "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIJVbRrHqNN3SyIYnNF46SMd+ArZz+QheAtjnQzKiBWrc",
        "transforms.ValueToKey.fields.include.list": "<string>",
        "transforms.ValueToKey.replace.null.with.default": true,
        "preserve.null.values": false,
        "transforms.OversizedRecords.fields.include.list": "<string>",
        "transforms.OversizedRecords.fields.exclude.list": "<string>",
        "transforms.OversizedRecords.max.field.size.bytes": 1048576,
        "transforms.OversizedRecords.oversized.field.behavior": "TRUNCATE",
        "transforms.OversizedRecords.truncation.suffix": "",
        "transforms.OversizedRecords.max.record.size.bytes": -1,
        "transforms.OversizedRecords.semantic.types.exclude": "io.debezium.data.Json,io.debezium.data.Xml",
        "transforms.OversizedRecords.replace.null.with.default": true,
        "InsertTopicName.enabled": false,
        "snapshot.read.only.user.defined": "Yes",
        "column.include.list.toggled": true,
        "column.include.list.user.defined": "<string>",
        "column.exclude.list.user.defined": "<string>",
        "heartbeat.enabled": true,
        "heartbeat.data.collection.schema.or.database": "<string>",
        "post.processors": "reselector",
        "database.sslmode": "require",
        "include.source.db.name.in.table.name.user.defined": false,
        "binary.handling.mode": "bytes",
        "transforms.InsertStaticKey1.static.field": "<string>",
        "transforms.InsertStaticKey1.static.value": "<string>",
        "transforms.InsertStaticValue1.static.field": "<string>",
        "transforms.InsertStaticValue1.static.value": "<string>",
        "transforms.InsertStaticKey2.static.field": "<string>",
        "transforms.InsertStaticKey2.static.value": "<string>",
        "transforms.InsertStaticValue2.static.field": "<string>",
        "transforms.InsertStaticValue2.static.value": "<string>",
        "predicates.IsTopicToEnrich.pattern": "$^",
        "ssh.enabled": false
      },
      "topic_ids": [
        "<string>"
      ],
      "topic_map": {},
      "topics": [
        "<string>"
      ],
      "tasks": [
        123
      ],
      "connector_status": "<string>",
      "desired_state": "<string>",
      "kc_cluster_id": "<string>",
      "task_statuses": {},
      "tags": [
        "<string>"
      ]
    }
  ],
  "page": 1,
  "page_size": 10,
  "total": 123,
  "has_next": true
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

source_id
string
required

Response

Successful Response

Get paginated sources response.

result
SourceConnector · object[]
required
page
integer
default:1

Current page number

page_size
integer
default:10

Results per page

total
integer | null

Total number of results

has_next
boolean | null

Whether more pages exist